<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ms_log', function (Blueprint $table) {
            $table->bigIncrements('MsLogId');
            $table->string('module',200)->nullable();
            $table->string('task',100)->nullable();
            $table->unsignedBigInteger('user_id')->index()->nullable();
            $table->ipAddress('ipaddress')->nullable();
            $table->mediumText('useragent')->nullable();
            $table->mediumText('note')->nullable();
            $table->timestamps();

            $table->foreign('user_id')->references('id')->on('users')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ms_log');
    }
};
